Package org.bgerp.util.sql.pool.fakesql

# Class FakeStatement

java.lang.Object
org.bgerp.util.sql.pool.fakesql.FakeStatement

All Implemented Interfaces:
  `AutoCloseable`, `CallableStatement`, `PreparedStatement`, `Statement`, `Wrapper`

public class FakeStatement extends Object implements CallableStatement

- ## Field Summary

  ### Fields inherited from interface java.sql.Statement

  `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FakeStatement(FakeConnection fc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addBatch()`
  `void`
  `addBatch(String sql)`
  `void`
  `cancel()`
  `void`
  `clearBatch()`
  `void`
  `clearParameters()`
  `void`
  `clearWarnings()`
  `void`
  `close()`
  `void`
  `closeOnCompletion()`
  `boolean`
  `execute()`
  `boolean`
  `execute(String sql)`
  `boolean`
  `execute(String sql, int autoGeneratedKeys)`
  `boolean`
  `execute(String sql, int[] columnIndexes)`
  `boolean`
  `execute(String sql, String[] columnNames)`
  `int[]`
  `executeBatch()`
  `ResultSet`
  `executeQuery()`
  `ResultSet`
  `executeQuery(String sql)`
  `int`
  `executeUpdate()`
  `int`
  `executeUpdate(String sql)`
  `int`
  `executeUpdate(String sql, int autoGeneratedKeys)`
  `int`
  `executeUpdate(String sql, int[] columnIndexes)`
  `int`
  `executeUpdate(String sql, String[] columnNames)`
  `Array`
  `getArray(int parameterIndex)`
  `Array`
  `getArray(String parameterName)`
  `BigDecimal`
  `getBigDecimal(int parameterIndex)`
  `BigDecimal`
  `getBigDecimal(int parameterIndex, int scale)`
  `BigDecimal`
  `getBigDecimal(String parameterName)`
  `Blob`
  `getBlob(int parameterIndex)`
  `Blob`
  `getBlob(String parameterName)`
  `boolean`
  `getBoolean(int parameterIndex)`
  `boolean`
  `getBoolean(String parameterName)`
  `byte`
  `getByte(int parameterIndex)`
  `byte`
  `getByte(String parameterName)`
  `byte[]`
  `getBytes(int parameterIndex)`
  `byte[]`
  `getBytes(String parameterName)`
  `Reader`
  `getCharacterStream(int parameterIndex)`
  `Reader`
  `getCharacterStream(String parameterName)`
  `Clob`
  `getClob(int parameterIndex)`
  `Clob`
  `getClob(String parameterName)`
  `Connection`
  `getConnection()`
  `Date`
  `getDate(int parameterIndex)`
  `Date`
  `getDate(int parameterIndex, Calendar cal)`
  `Date`
  `getDate(String parameterName)`
  `Date`
  `getDate(String parameterName, Calendar cal)`
  `double`
  `getDouble(int parameterIndex)`
  `double`
  `getDouble(String parameterName)`
  `int`
  `getFetchDirection()`
  `int`
  `getFetchSize()`
  `float`
  `getFloat(int parameterIndex)`
  `float`
  `getFloat(String parameterName)`
  `ResultSet`
  `getGeneratedKeys()`
  `int`
  `getInt(int parameterIndex)`
  `int`
  `getInt(String parameterName)`
  `long`
  `getLong(int parameterIndex)`
  `long`
  `getLong(String parameterName)`
  `int`
  `getMaxFieldSize()`
  `int`
  `getMaxRows()`
  `ResultSetMetaData`
  `getMetaData()`
  `boolean`
  `getMoreResults()`
  `boolean`
  `getMoreResults(int current)`
  `Reader`
  `getNCharacterStream(int parameterIndex)`
  `Reader`
  `getNCharacterStream(String parameterName)`
  `NClob`
  `getNClob(int parameterIndex)`
  `NClob`
  `getNClob(String parameterName)`
  `String`
  `getNString(int parameterIndex)`
  `String`
  `getNString(String parameterName)`
  `Object`
  `getObject(int parameterIndex)`
  `<T> T`
  `getObject(int arg0, Class<T> arg1)`
  `Object`
  `getObject(int parameterIndex, Map<String,Class<?>> map)`
  `Object`
  `getObject(String parameterName)`
  `<T> T`
  `getObject(String arg0, Class<T> arg1)`
  `Object`
  `getObject(String parameterName, Map<String,Class<?>> map)`
  `ParameterMetaData`
  `getParameterMetaData()`
  `int`
  `getQueryTimeout()`
  `Ref`
  `getRef(int parameterIndex)`
  `Ref`
  `getRef(String parameterName)`
  `ResultSet`
  `getResultSet()`
  `int`
  `getResultSetConcurrency()`
  `int`
  `getResultSetHoldability()`
  `int`
  `getResultSetType()`
  `RowId`
  `getRowId(int parameterIndex)`
  `RowId`
  `getRowId(String parameterName)`
  `short`
  `getShort(int parameterIndex)`
  `short`
  `getShort(String parameterName)`
  `SQLXML`
  `getSQLXML(int parameterIndex)`
  `SQLXML`
  `getSQLXML(String parameterName)`
  `String`
  `getString(int parameterIndex)`
  `String`
  `getString(String parameterName)`
  `Time`
  `getTime(int parameterIndex)`
  `Time`
  `getTime(int parameterIndex, Calendar cal)`
  `Time`
  `getTime(String parameterName)`
  `Time`
  `getTime(String parameterName, Calendar cal)`
  `Timestamp`
  `getTimestamp(int parameterIndex)`
  `Timestamp`
  `getTimestamp(int parameterIndex, Calendar cal)`
  `Timestamp`
  `getTimestamp(String parameterName)`
  `Timestamp`
  `getTimestamp(String parameterName, Calendar cal)`
  `int`
  `getUpdateCount()`
  `URL`
  `getURL(int parameterIndex)`
  `URL`
  `getURL(String parameterName)`
  `SQLWarning`
  `getWarnings()`
  `boolean`
  `isClosed()`
  `boolean`
  `isCloseOnCompletion()`
  `boolean`
  `isPoolable()`
  `boolean`
  `isWrapperFor(Class<?> iface)`
  `void`
  `registerOutParameter(int parameterIndex, int sqlType)`
  `void`
  `registerOutParameter(int parameterIndex, int sqlType, int scale)`
  `void`
  `registerOutParameter(int parameterIndex, int sqlType, String typeName)`
  `void`
  `registerOutParameter(String parameterName, int sqlType)`
  `void`
  `registerOutParameter(String parameterName, int sqlType, int scale)`
  `void`
  `registerOutParameter(String parameterName, int sqlType, String typeName)`
  `void`
  `setArray(int parameterIndex, Array x)`
  `void`
  `setAsciiStream(int parameterIndex, InputStream x)`
  `void`
  `setAsciiStream(int parameterIndex, InputStream x, int length)`
  `void`
  `setAsciiStream(int parameterIndex, InputStream x, long length)`
  `void`
  `setAsciiStream(String parameterName, InputStream x)`
  `void`
  `setAsciiStream(String parameterName, InputStream x, int length)`
  `void`
  `setAsciiStream(String parameterName, InputStream x, long length)`
  `void`
  `setBigDecimal(int parameterIndex, BigDecimal x)`
  `void`
  `setBigDecimal(String parameterName, BigDecimal x)`
  `void`
  `setBinaryStream(int parameterIndex, InputStream x)`
  `void`
  `setBinaryStream(int parameterIndex, InputStream x, int length)`
  `void`
  `setBinaryStream(int parameterIndex, InputStream x, long length)`
  `void`
  `setBinaryStream(String parameterName, InputStream x)`
  `void`
  `setBinaryStream(String parameterName, InputStream x, int length)`
  `void`
  `setBinaryStream(String parameterName, InputStream x, long length)`
  `void`
  `setBlob(int parameterIndex, InputStream inputStream)`
  `void`
  `setBlob(int parameterIndex, InputStream inputStream, long length)`
  `void`
  `setBlob(int parameterIndex, Blob x)`
  `void`
  `setBlob(String parameterName, InputStream inputStream)`
  `void`
  `setBlob(String parameterName, InputStream inputStream, long length)`
  `void`
  `setBlob(String parameterName, Blob x)`
  `void`
  `setBoolean(int parameterIndex, boolean x)`
  `void`
  `setBoolean(String parameterName, boolean x)`
  `void`
  `setByte(int parameterIndex, byte x)`
  `void`
  `setByte(String parameterName, byte x)`
  `void`
  `setBytes(int parameterIndex, byte[] x)`
  `void`
  `setBytes(String parameterName, byte[] x)`
  `void`
  `setCharacterStream(int parameterIndex, Reader reader)`
  `void`
  `setCharacterStream(int parameterIndex, Reader reader, int length)`
  `void`
  `setCharacterStream(int parameterIndex, Reader reader, long length)`
  `void`
  `setCharacterStream(String parameterName, Reader reader)`
  `void`
  `setCharacterStream(String parameterName, Reader reader, int length)`
  `void`
  `setCharacterStream(String parameterName, Reader reader, long length)`
  `void`
  `setClob(int parameterIndex, Reader reader)`
  `void`
  `setClob(int parameterIndex, Reader reader, long length)`
  `void`
  `setClob(int parameterIndex, Clob x)`
  `void`
  `setClob(String parameterName, Reader reader)`
  `void`
  `setClob(String parameterName, Reader reader, long length)`
  `void`
  `setClob(String parameterName, Clob x)`
  `void`
  `setCursorName(String name)`
  `void`
  `setDate(int parameterIndex, Date x)`
  `void`
  `setDate(int parameterIndex, Date x, Calendar cal)`
  `void`
  `setDate(String parameterName, Date x)`
  `void`
  `setDate(String parameterName, Date x, Calendar cal)`
  `void`
  `setDouble(int parameterIndex, double x)`
  `void`
  `setDouble(String parameterName, double x)`
  `void`
  `setEscapeProcessing(boolean enable)`
  `void`
  `setFetchDirection(int direction)`
  `void`
  `setFetchSize(int rows)`
  `void`
  `setFloat(int parameterIndex, float x)`
  `void`
  `setFloat(String parameterName, float x)`
  `void`
  `setInt(int parameterIndex, int x)`
  `void`
  `setInt(String parameterName, int x)`
  `void`
  `setLong(int parameterIndex, long x)`
  `void`
  `setLong(String parameterName, long x)`
  `void`
  `setMaxFieldSize(int max)`
  `void`
  `setMaxRows(int max)`
  `void`
  `setNCharacterStream(int parameterIndex, Reader value)`
  `void`
  `setNCharacterStream(int parameterIndex, Reader value, long length)`
  `void`
  `setNCharacterStream(String parameterName, Reader value)`
  `void`
  `setNCharacterStream(String parameterName, Reader value, long length)`
  `void`
  `setNClob(int parameterIndex, Reader reader)`
  `void`
  `setNClob(int parameterIndex, Reader reader, long length)`
  `void`
  `setNClob(int parameterIndex, NClob value)`
  `void`
  `setNClob(String parameterName, Reader reader)`
  `void`
  `setNClob(String parameterName, Reader reader, long length)`
  `void`
  `setNClob(String parameterName, NClob value)`
  `void`
  `setNString(int parameterIndex, String value)`
  `void`
  `setNString(String parameterName, String value)`
  `void`
  `setNull(int parameterIndex, int sqlType)`
  `void`
  `setNull(int parameterIndex, int sqlType, String typeName)`
  `void`
  `setNull(String parameterName, int sqlType)`
  `void`
  `setNull(String parameterName, int sqlType, String typeName)`
  `void`
  `setObject(int parameterIndex, Object x)`
  `void`
  `setObject(int parameterIndex, Object x, int targetSqlType)`
  `void`
  `setObject(int parameterIndex, Object x, int targetSqlType, int scaleOrLength)`
  `void`
  `setObject(String parameterName, Object x)`
  `void`
  `setObject(String parameterName, Object x, int targetSqlType)`
  `void`
  `setObject(String parameterName, Object x, int targetSqlType, int scale)`
  `void`
  `setPoolable(boolean poolable)`
  `void`
  `setQueryTimeout(int seconds)`
  `void`
  `setRef(int parameterIndex, Ref x)`
  `void`
  `setRowId(int parameterIndex, RowId x)`
  `void`
  `setRowId(String parameterName, RowId x)`
  `void`
  `setShort(int parameterIndex, short x)`
  `void`
  `setShort(String parameterName, short x)`
  `void`
  `setSQLXML(int parameterIndex, SQLXML xmlObject)`
  `void`
  `setSQLXML(String parameterName, SQLXML xmlObject)`
  `void`
  `setString(int parameterIndex, String x)`
  `void`
  `setString(String parameterName, String x)`
  `void`
  `setTime(int parameterIndex, Time x)`
  `void`
  `setTime(int parameterIndex, Time x, Calendar cal)`
  `void`
  `setTime(String parameterName, Time x)`
  `void`
  `setTime(String parameterName, Time x, Calendar cal)`
  `void`
  `setTimestamp(int parameterIndex, Timestamp x)`
  `void`
  `setTimestamp(int parameterIndex, Timestamp x, Calendar cal)`
  `void`
  `setTimestamp(String parameterName, Timestamp x)`
  `void`
  `setTimestamp(String parameterName, Timestamp x, Calendar cal)`
  `void`
  `setUnicodeStream(int parameterIndex, InputStream x, int length)`
  `void`
  `setURL(int parameterIndex, URL x)`
  `void`
  `setURL(String parameterName, URL val)`
  `<T> T`
  `unwrap(Class<T> iface)`
  `boolean`
  `wasNull()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.sql.CallableStatement

  `registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setObject, setObject`

  ### Methods inherited from interface java.sql.PreparedStatement

  `executeLargeUpdate, setObject, setObject`

  ### Methods inherited from interface java.sql.Statement

  `enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, getLargeMaxRows, getLargeUpdateCount, isSimpleIdentifier, setLargeMaxRows`

- ## Constructor Details

  - ### FakeStatement

    public FakeStatement(FakeConnection fc)

- ## Method Details

  - ### addBatch

    public void addBatch() throws SQLException
    Specified by:
      `addBatch` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### clearParameters

    public void clearParameters() throws SQLException
    Specified by:
      `clearParameters` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### execute

    public boolean execute() throws SQLException
    Specified by:
      `execute` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### executeQuery

    public ResultSet executeQuery() throws SQLException
    Specified by:
      `executeQuery` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### executeUpdate

    public int executeUpdate() throws SQLException
    Specified by:
      `executeUpdate` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### getMetaData

    public ResultSetMetaData getMetaData() throws SQLException
    Specified by:
      `getMetaData` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### getParameterMetaData

    public ParameterMetaData getParameterMetaData() throws SQLException
    Specified by:
      `getParameterMetaData` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setArray

    public void setArray(int parameterIndex, Array x) throws SQLException
    Specified by:
      `setArray` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setAsciiStream

    public void setAsciiStream(int parameterIndex, InputStream x) throws SQLException
    Specified by:
      `setAsciiStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setAsciiStream

    public void setAsciiStream(int parameterIndex, InputStream x, int length) throws SQLException
    Specified by:
      `setAsciiStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setAsciiStream

    public void setAsciiStream(int parameterIndex, InputStream x, long length) throws SQLException
    Specified by:
      `setAsciiStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBigDecimal

    public void setBigDecimal(int parameterIndex, BigDecimal x) throws SQLException
    Specified by:
      `setBigDecimal` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBinaryStream

    public void setBinaryStream(int parameterIndex, InputStream x) throws SQLException
    Specified by:
      `setBinaryStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBinaryStream

    public void setBinaryStream(int parameterIndex, InputStream x, int length) throws SQLException
    Specified by:
      `setBinaryStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBinaryStream

    public void setBinaryStream(int parameterIndex, InputStream x, long length) throws SQLException
    Specified by:
      `setBinaryStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBlob

    public void setBlob(int parameterIndex, Blob x) throws SQLException
    Specified by:
      `setBlob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBlob

    public void setBlob(int parameterIndex, InputStream inputStream) throws SQLException
    Specified by:
      `setBlob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBlob

    public void setBlob(int parameterIndex, InputStream inputStream, long length) throws SQLException
    Specified by:
      `setBlob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBoolean

    public void setBoolean(int parameterIndex, boolean x) throws SQLException
    Specified by:
      `setBoolean` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setByte

    public void setByte(int parameterIndex, byte x) throws SQLException
    Specified by:
      `setByte` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBytes

    public void setBytes(int parameterIndex, byte[] x) throws SQLException
    Specified by:
      `setBytes` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setCharacterStream

    public void setCharacterStream(int parameterIndex, Reader reader) throws SQLException
    Specified by:
      `setCharacterStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setCharacterStream

    public void setCharacterStream(int parameterIndex, Reader reader, int length) throws SQLException
    Specified by:
      `setCharacterStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setCharacterStream

    public void setCharacterStream(int parameterIndex, Reader reader, long length) throws SQLException
    Specified by:
      `setCharacterStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setClob

    public void setClob(int parameterIndex, Clob x) throws SQLException
    Specified by:
      `setClob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setClob

    public void setClob(int parameterIndex, Reader reader) throws SQLException
    Specified by:
      `setClob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setClob

    public void setClob(int parameterIndex, Reader reader, long length) throws SQLException
    Specified by:
      `setClob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setDate

    public void setDate(int parameterIndex, Date x) throws SQLException
    Specified by:
      `setDate` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setDate

    public void setDate(int parameterIndex, Date x, Calendar cal) throws SQLException
    Specified by:
      `setDate` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setDouble

    public void setDouble(int parameterIndex, double x) throws SQLException
    Specified by:
      `setDouble` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setFloat

    public void setFloat(int parameterIndex, float x) throws SQLException
    Specified by:
      `setFloat` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setInt

    public void setInt(int parameterIndex, int x) throws SQLException
    Specified by:
      `setInt` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setLong

    public void setLong(int parameterIndex, long x) throws SQLException
    Specified by:
      `setLong` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNCharacterStream

    public void setNCharacterStream(int parameterIndex, Reader value) throws SQLException
    Specified by:
      `setNCharacterStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNCharacterStream

    public void setNCharacterStream(int parameterIndex, Reader value, long length) throws SQLException
    Specified by:
      `setNCharacterStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNClob

    public void setNClob(int parameterIndex, NClob value) throws SQLException
    Specified by:
      `setNClob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNClob

    public void setNClob(int parameterIndex, Reader reader) throws SQLException
    Specified by:
      `setNClob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNClob

    public void setNClob(int parameterIndex, Reader reader, long length) throws SQLException
    Specified by:
      `setNClob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNString

    public void setNString(int parameterIndex, String value) throws SQLException
    Specified by:
      `setNString` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNull

    public void setNull(int parameterIndex, int sqlType) throws SQLException
    Specified by:
      `setNull` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNull

    public void setNull(int parameterIndex, int sqlType, String typeName) throws SQLException
    Specified by:
      `setNull` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setObject

    public void setObject(int parameterIndex, Object x) throws SQLException
    Specified by:
      `setObject` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setObject

    public void setObject(int parameterIndex, Object x, int targetSqlType) throws SQLException
    Specified by:
      `setObject` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setObject

    public void setObject(int parameterIndex, Object x, int targetSqlType, int scaleOrLength) throws SQLException
    Specified by:
      `setObject` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setRef

    public void setRef(int parameterIndex, Ref x) throws SQLException
    Specified by:
      `setRef` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setRowId

    public void setRowId(int parameterIndex, RowId x) throws SQLException
    Specified by:
      `setRowId` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setSQLXML

    public void setSQLXML(int parameterIndex, SQLXML xmlObject) throws SQLException
    Specified by:
      `setSQLXML` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setShort

    public void setShort(int parameterIndex, short x) throws SQLException
    Specified by:
      `setShort` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setString

    public void setString(int parameterIndex, String x) throws SQLException
    Specified by:
      `setString` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setTime

    public void setTime(int parameterIndex, Time x) throws SQLException
    Specified by:
      `setTime` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setTime

    public void setTime(int parameterIndex, Time x, Calendar cal) throws SQLException
    Specified by:
      `setTime` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setTimestamp

    public void setTimestamp(int parameterIndex, Timestamp x) throws SQLException
    Specified by:
      `setTimestamp` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setTimestamp

    public void setTimestamp(int parameterIndex, Timestamp x, Calendar cal) throws SQLException
    Specified by:
      `setTimestamp` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setURL

    public void setURL(int parameterIndex, URL x) throws SQLException
    Specified by:
      `setURL` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setUnicodeStream

    public void setUnicodeStream(int parameterIndex, InputStream x, int length) throws SQLException
    Specified by:
      `setUnicodeStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### addBatch

    public void addBatch(String sql) throws SQLException
    Specified by:
      `addBatch` in interface `Statement`
    Throws:
      `SQLException`

  - ### cancel

    public void cancel() throws SQLException
    Specified by:
      `cancel` in interface `Statement`
    Throws:
      `SQLException`

  - ### clearBatch

    public void clearBatch() throws SQLException
    Specified by:
      `clearBatch` in interface `Statement`
    Throws:
      `SQLException`

  - ### clearWarnings

    public void clearWarnings() throws SQLException
    Specified by:
      `clearWarnings` in interface `Statement`
    Throws:
      `SQLException`

  - ### close

    public void close() throws SQLException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Statement`
    Throws:
      `SQLException`

  - ### execute

    public boolean execute(String sql) throws SQLException
    Specified by:
      `execute` in interface `Statement`
    Throws:
      `SQLException`

  - ### execute

    public boolean execute(String sql, int autoGeneratedKeys) throws SQLException
    Specified by:
      `execute` in interface `Statement`
    Throws:
      `SQLException`

  - ### execute

    public boolean execute(String sql, int[] columnIndexes) throws SQLException
    Specified by:
      `execute` in interface `Statement`
    Throws:
      `SQLException`

  - ### execute

    public boolean execute(String sql, String[] columnNames) throws SQLException
    Specified by:
      `execute` in interface `Statement`
    Throws:
      `SQLException`

  - ### executeBatch

    public int[] executeBatch() throws SQLException
    Specified by:
      `executeBatch` in interface `Statement`
    Throws:
      `SQLException`

  - ### executeQuery

    public ResultSet executeQuery(String sql) throws SQLException
    Specified by:
      `executeQuery` in interface `Statement`
    Throws:
      `SQLException`

  - ### executeUpdate

    public int executeUpdate(String sql) throws SQLException
    Specified by:
      `executeUpdate` in interface `Statement`
    Throws:
      `SQLException`

  - ### executeUpdate

    public int executeUpdate(String sql, int autoGeneratedKeys) throws SQLException
    Specified by:
      `executeUpdate` in interface `Statement`
    Throws:
      `SQLException`

  - ### executeUpdate

    public int executeUpdate(String sql, int[] columnIndexes) throws SQLException
    Specified by:
      `executeUpdate` in interface `Statement`
    Throws:
      `SQLException`

  - ### executeUpdate

    public int executeUpdate(String sql, String[] columnNames) throws SQLException
    Specified by:
      `executeUpdate` in interface `Statement`
    Throws:
      `SQLException`

  - ### getConnection

    public Connection getConnection() throws SQLException
    Specified by:
      `getConnection` in interface `Statement`
    Throws:
      `SQLException`

  - ### getFetchDirection

    public int getFetchDirection() throws SQLException
    Specified by:
      `getFetchDirection` in interface `Statement`
    Throws:
      `SQLException`

  - ### getFetchSize

    public int getFetchSize() throws SQLException
    Specified by:
      `getFetchSize` in interface `Statement`
    Throws:
      `SQLException`

  - ### getGeneratedKeys

    public ResultSet getGeneratedKeys() throws SQLException
    Specified by:
      `getGeneratedKeys` in interface `Statement`
    Throws:
      `SQLException`

  - ### getMaxFieldSize

    public int getMaxFieldSize() throws SQLException
    Specified by:
      `getMaxFieldSize` in interface `Statement`
    Throws:
      `SQLException`

  - ### getMaxRows

    public int getMaxRows() throws SQLException
    Specified by:
      `getMaxRows` in interface `Statement`
    Throws:
      `SQLException`

  - ### getMoreResults

    public boolean getMoreResults() throws SQLException
    Specified by:
      `getMoreResults` in interface `Statement`
    Throws:
      `SQLException`

  - ### getMoreResults

    public boolean getMoreResults(int current) throws SQLException
    Specified by:
      `getMoreResults` in interface `Statement`
    Throws:
      `SQLException`

  - ### getQueryTimeout

    public int getQueryTimeout() throws SQLException
    Specified by:
      `getQueryTimeout` in interface `Statement`
    Throws:
      `SQLException`

  - ### getResultSet

    public ResultSet getResultSet() throws SQLException
    Specified by:
      `getResultSet` in interface `Statement`
    Throws:
      `SQLException`

  - ### getResultSetConcurrency

    public int getResultSetConcurrency() throws SQLException
    Specified by:
      `getResultSetConcurrency` in interface `Statement`
    Throws:
      `SQLException`

  - ### getResultSetHoldability

    public int getResultSetHoldability() throws SQLException
    Specified by:
      `getResultSetHoldability` in interface `Statement`
    Throws:
      `SQLException`

  - ### getResultSetType

    public int getResultSetType() throws SQLException
    Specified by:
      `getResultSetType` in interface `Statement`
    Throws:
      `SQLException`

  - ### getUpdateCount

    public int getUpdateCount() throws SQLException
    Specified by:
      `getUpdateCount` in interface `Statement`
    Throws:
      `SQLException`

  - ### getWarnings

    public SQLWarning getWarnings() throws SQLException
    Specified by:
      `getWarnings` in interface `Statement`
    Throws:
      `SQLException`

  - ### isClosed

    public boolean isClosed() throws SQLException
    Specified by:
      `isClosed` in interface `Statement`
    Throws:
      `SQLException`

  - ### isPoolable

    public boolean isPoolable() throws SQLException
    Specified by:
      `isPoolable` in interface `Statement`
    Throws:
      `SQLException`

  - ### setCursorName

    public void setCursorName(String name) throws SQLException
    Specified by:
      `setCursorName` in interface `Statement`
    Throws:
      `SQLException`

  - ### setEscapeProcessing

    public void setEscapeProcessing(boolean enable) throws SQLException
    Specified by:
      `setEscapeProcessing` in interface `Statement`
    Throws:
      `SQLException`

  - ### setFetchDirection

    public void setFetchDirection(int direction) throws SQLException
    Specified by:
      `setFetchDirection` in interface `Statement`
    Throws:
      `SQLException`

  - ### setFetchSize

    public void setFetchSize(int rows) throws SQLException
    Specified by:
      `setFetchSize` in interface `Statement`
    Throws:
      `SQLException`

  - ### setMaxFieldSize

    public void setMaxFieldSize(int max) throws SQLException
    Specified by:
      `setMaxFieldSize` in interface `Statement`
    Throws:
      `SQLException`

  - ### setMaxRows

    public void setMaxRows(int max) throws SQLException
    Specified by:
      `setMaxRows` in interface `Statement`
    Throws:
      `SQLException`

  - ### setPoolable

    public void setPoolable(boolean poolable) throws SQLException
    Specified by:
      `setPoolable` in interface `Statement`
    Throws:
      `SQLException`

  - ### setQueryTimeout

    public void setQueryTimeout(int seconds) throws SQLException
    Specified by:
      `setQueryTimeout` in interface `Statement`
    Throws:
      `SQLException`

  - ### isWrapperFor

    public boolean isWrapperFor(Class<?> iface) throws SQLException
    Specified by:
      `isWrapperFor` in interface `Wrapper`
    Throws:
      `SQLException`

  - ### unwrap

    public <T> T unwrap(Class<T> iface) throws SQLException
    Specified by:
      `unwrap` in interface `Wrapper`
    Throws:
      `SQLException`

  - ### getArray

    public Array getArray(int parameterIndex) throws SQLException
    Specified by:
      `getArray` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getArray

    public Array getArray(String parameterName) throws SQLException
    Specified by:
      `getArray` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getBigDecimal

    public BigDecimal getBigDecimal(int parameterIndex) throws SQLException
    Specified by:
      `getBigDecimal` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getBigDecimal

    public BigDecimal getBigDecimal(String parameterName) throws SQLException
    Specified by:
      `getBigDecimal` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getBigDecimal

    public BigDecimal getBigDecimal(int parameterIndex, int scale) throws SQLException
    Specified by:
      `getBigDecimal` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getBlob

    public Blob getBlob(int parameterIndex) throws SQLException
    Specified by:
      `getBlob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getBlob

    public Blob getBlob(String parameterName) throws SQLException
    Specified by:
      `getBlob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getBoolean

    public boolean getBoolean(int parameterIndex) throws SQLException
    Specified by:
      `getBoolean` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getBoolean

    public boolean getBoolean(String parameterName) throws SQLException
    Specified by:
      `getBoolean` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getByte

    public byte getByte(int parameterIndex) throws SQLException
    Specified by:
      `getByte` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getByte

    public byte getByte(String parameterName) throws SQLException
    Specified by:
      `getByte` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getBytes

    public byte[] getBytes(int parameterIndex) throws SQLException
    Specified by:
      `getBytes` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getBytes

    public byte[] getBytes(String parameterName) throws SQLException
    Specified by:
      `getBytes` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getCharacterStream

    public Reader getCharacterStream(int parameterIndex) throws SQLException
    Specified by:
      `getCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getCharacterStream

    public Reader getCharacterStream(String parameterName) throws SQLException
    Specified by:
      `getCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getClob

    public Clob getClob(int parameterIndex) throws SQLException
    Specified by:
      `getClob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getClob

    public Clob getClob(String parameterName) throws SQLException
    Specified by:
      `getClob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getDate

    public Date getDate(int parameterIndex) throws SQLException
    Specified by:
      `getDate` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getDate

    public Date getDate(String parameterName) throws SQLException
    Specified by:
      `getDate` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getDate

    public Date getDate(int parameterIndex, Calendar cal) throws SQLException
    Specified by:
      `getDate` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getDate

    public Date getDate(String parameterName, Calendar cal) throws SQLException
    Specified by:
      `getDate` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getDouble

    public double getDouble(int parameterIndex) throws SQLException
    Specified by:
      `getDouble` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getDouble

    public double getDouble(String parameterName) throws SQLException
    Specified by:
      `getDouble` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getFloat

    public float getFloat(int parameterIndex) throws SQLException
    Specified by:
      `getFloat` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getFloat

    public float getFloat(String parameterName) throws SQLException
    Specified by:
      `getFloat` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getInt

    public int getInt(int parameterIndex) throws SQLException
    Specified by:
      `getInt` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getInt

    public int getInt(String parameterName) throws SQLException
    Specified by:
      `getInt` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getLong

    public long getLong(int parameterIndex) throws SQLException
    Specified by:
      `getLong` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getLong

    public long getLong(String parameterName) throws SQLException
    Specified by:
      `getLong` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getNCharacterStream

    public Reader getNCharacterStream(int parameterIndex) throws SQLException
    Specified by:
      `getNCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getNCharacterStream

    public Reader getNCharacterStream(String parameterName) throws SQLException
    Specified by:
      `getNCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getNClob

    public NClob getNClob(int parameterIndex) throws SQLException
    Specified by:
      `getNClob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getNClob

    public NClob getNClob(String parameterName) throws SQLException
    Specified by:
      `getNClob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getNString

    public String getNString(int parameterIndex) throws SQLException
    Specified by:
      `getNString` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getNString

    public String getNString(String parameterName) throws SQLException
    Specified by:
      `getNString` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getObject

    public Object getObject(int parameterIndex) throws SQLException
    Specified by:
      `getObject` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getObject

    public Object getObject(String parameterName) throws SQLException
    Specified by:
      `getObject` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getObject

    public Object getObject(int parameterIndex, Map<String,Class<?>> map) throws SQLException
    Specified by:
      `getObject` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getObject

    public Object getObject(String parameterName, Map<String,Class<?>> map) throws SQLException
    Specified by:
      `getObject` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getRef

    public Ref getRef(int parameterIndex) throws SQLException
    Specified by:
      `getRef` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getRef

    public Ref getRef(String parameterName) throws SQLException
    Specified by:
      `getRef` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getRowId

    public RowId getRowId(int parameterIndex) throws SQLException
    Specified by:
      `getRowId` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getRowId

    public RowId getRowId(String parameterName) throws SQLException
    Specified by:
      `getRowId` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getSQLXML

    public SQLXML getSQLXML(int parameterIndex) throws SQLException
    Specified by:
      `getSQLXML` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getSQLXML

    public SQLXML getSQLXML(String parameterName) throws SQLException
    Specified by:
      `getSQLXML` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getShort

    public short getShort(int parameterIndex) throws SQLException
    Specified by:
      `getShort` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getShort

    public short getShort(String parameterName) throws SQLException
    Specified by:
      `getShort` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getString

    public String getString(int parameterIndex) throws SQLException
    Specified by:
      `getString` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getString

    public String getString(String parameterName) throws SQLException
    Specified by:
      `getString` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getTime

    public Time getTime(int parameterIndex) throws SQLException
    Specified by:
      `getTime` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getTime

    public Time getTime(String parameterName) throws SQLException
    Specified by:
      `getTime` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getTime

    public Time getTime(int parameterIndex, Calendar cal) throws SQLException
    Specified by:
      `getTime` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getTime

    public Time getTime(String parameterName, Calendar cal) throws SQLException
    Specified by:
      `getTime` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getTimestamp

    public Timestamp getTimestamp(int parameterIndex) throws SQLException
    Specified by:
      `getTimestamp` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getTimestamp

    public Timestamp getTimestamp(String parameterName) throws SQLException
    Specified by:
      `getTimestamp` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getTimestamp

    public Timestamp getTimestamp(int parameterIndex, Calendar cal) throws SQLException
    Specified by:
      `getTimestamp` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getTimestamp

    public Timestamp getTimestamp(String parameterName, Calendar cal) throws SQLException
    Specified by:
      `getTimestamp` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getURL

    public URL getURL(int parameterIndex) throws SQLException
    Specified by:
      `getURL` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getURL

    public URL getURL(String parameterName) throws SQLException
    Specified by:
      `getURL` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### registerOutParameter

    public void registerOutParameter(int parameterIndex, int sqlType) throws SQLException
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### registerOutParameter

    public void registerOutParameter(String parameterName, int sqlType) throws SQLException
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### registerOutParameter

    public void registerOutParameter(int parameterIndex, int sqlType, int scale) throws SQLException
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### registerOutParameter

    public void registerOutParameter(int parameterIndex, int sqlType, String typeName) throws SQLException
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### registerOutParameter

    public void registerOutParameter(String parameterName, int sqlType, int scale) throws SQLException
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### registerOutParameter

    public void registerOutParameter(String parameterName, int sqlType, String typeName) throws SQLException
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setAsciiStream

    public void setAsciiStream(String parameterName, InputStream x) throws SQLException
    Specified by:
      `setAsciiStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setAsciiStream

    public void setAsciiStream(String parameterName, InputStream x, int length) throws SQLException
    Specified by:
      `setAsciiStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setAsciiStream

    public void setAsciiStream(String parameterName, InputStream x, long length) throws SQLException
    Specified by:
      `setAsciiStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setBigDecimal

    public void setBigDecimal(String parameterName, BigDecimal x) throws SQLException
    Specified by:
      `setBigDecimal` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setBinaryStream

    public void setBinaryStream(String parameterName, InputStream x) throws SQLException
    Specified by:
      `setBinaryStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setBinaryStream

    public void setBinaryStream(String parameterName, InputStream x, int length) throws SQLException
    Specified by:
      `setBinaryStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setBinaryStream

    public void setBinaryStream(String parameterName, InputStream x, long length) throws SQLException
    Specified by:
      `setBinaryStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setBlob

    public void setBlob(String parameterName, Blob x) throws SQLException
    Specified by:
      `setBlob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setBlob

    public void setBlob(String parameterName, InputStream inputStream) throws SQLException
    Specified by:
      `setBlob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setBlob

    public void setBlob(String parameterName, InputStream inputStream, long length) throws SQLException
    Specified by:
      `setBlob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setBoolean

    public void setBoolean(String parameterName, boolean x) throws SQLException
    Specified by:
      `setBoolean` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setByte

    public void setByte(String parameterName, byte x) throws SQLException
    Specified by:
      `setByte` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setBytes

    public void setBytes(String parameterName, byte[] x) throws SQLException
    Specified by:
      `setBytes` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setCharacterStream

    public void setCharacterStream(String parameterName, Reader reader) throws SQLException
    Specified by:
      `setCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setCharacterStream

    public void setCharacterStream(String parameterName, Reader reader, int length) throws SQLException
    Specified by:
      `setCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setCharacterStream

    public void setCharacterStream(String parameterName, Reader reader, long length) throws SQLException
    Specified by:
      `setCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setClob

    public void setClob(String parameterName, Clob x) throws SQLException
    Specified by:
      `setClob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setClob

    public void setClob(String parameterName, Reader reader) throws SQLException
    Specified by:
      `setClob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setClob

    public void setClob(String parameterName, Reader reader, long length) throws SQLException
    Specified by:
      `setClob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setDate

    public void setDate(String parameterName, Date x) throws SQLException
    Specified by:
      `setDate` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setDate

    public void setDate(String parameterName, Date x, Calendar cal) throws SQLException
    Specified by:
      `setDate` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setDouble

    public void setDouble(String parameterName, double x) throws SQLException
    Specified by:
      `setDouble` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setFloat

    public void setFloat(String parameterName, float x) throws SQLException
    Specified by:
      `setFloat` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setInt

    public void setInt(String parameterName, int x) throws SQLException
    Specified by:
      `setInt` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setLong

    public void setLong(String parameterName, long x) throws SQLException
    Specified by:
      `setLong` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setNCharacterStream

    public void setNCharacterStream(String parameterName, Reader value) throws SQLException
    Specified by:
      `setNCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setNCharacterStream

    public void setNCharacterStream(String parameterName, Reader value, long length) throws SQLException
    Specified by:
      `setNCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setNClob

    public void setNClob(String parameterName, NClob value) throws SQLException
    Specified by:
      `setNClob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setNClob

    public void setNClob(String parameterName, Reader reader) throws SQLException
    Specified by:
      `setNClob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setNClob

    public void setNClob(String parameterName, Reader reader, long length) throws SQLException
    Specified by:
      `setNClob` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setNString

    public void setNString(String parameterName, String value) throws SQLException
    Specified by:
      `setNString` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setNull

    public void setNull(String parameterName, int sqlType) throws SQLException
    Specified by:
      `setNull` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setNull

    public void setNull(String parameterName, int sqlType, String typeName) throws SQLException
    Specified by:
      `setNull` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setObject

    public void setObject(String parameterName, Object x) throws SQLException
    Specified by:
      `setObject` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setObject

    public void setObject(String parameterName, Object x, int targetSqlType) throws SQLException
    Specified by:
      `setObject` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setObject

    public void setObject(String parameterName, Object x, int targetSqlType, int scale) throws SQLException
    Specified by:
      `setObject` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setRowId

    public void setRowId(String parameterName, RowId x) throws SQLException
    Specified by:
      `setRowId` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setSQLXML

    public void setSQLXML(String parameterName, SQLXML xmlObject) throws SQLException
    Specified by:
      `setSQLXML` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setShort

    public void setShort(String parameterName, short x) throws SQLException
    Specified by:
      `setShort` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setString

    public void setString(String parameterName, String x) throws SQLException
    Specified by:
      `setString` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setTime

    public void setTime(String parameterName, Time x) throws SQLException
    Specified by:
      `setTime` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setTime

    public void setTime(String parameterName, Time x, Calendar cal) throws SQLException
    Specified by:
      `setTime` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setTimestamp

    public void setTimestamp(String parameterName, Timestamp x) throws SQLException
    Specified by:
      `setTimestamp` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setTimestamp

    public void setTimestamp(String parameterName, Timestamp x, Calendar cal) throws SQLException
    Specified by:
      `setTimestamp` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### setURL

    public void setURL(String parameterName, URL val) throws SQLException
    Specified by:
      `setURL` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### wasNull

    public boolean wasNull() throws SQLException
    Specified by:
      `wasNull` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### closeOnCompletion

    public void closeOnCompletion() throws SQLException
    Specified by:
      `closeOnCompletion` in interface `Statement`
    Throws:
      `SQLException`

  - ### isCloseOnCompletion

    public boolean isCloseOnCompletion() throws SQLException
    Specified by:
      `isCloseOnCompletion` in interface `Statement`
    Throws:
      `SQLException`

  - ### getObject

    public <T> T getObject(int arg0, Class<T> arg1) throws SQLException
    Specified by:
      `getObject` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getObject

    public <T> T getObject(String arg0, Class<T> arg1) throws SQLException
    Specified by:
      `getObject` in interface `CallableStatement`
    Throws:
      `SQLException`